Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Graphics

    java.lang.Object
      javax.microedition.lcdui.Graphics

    public class Graphics

extends Object

Preliminary Graphics class for LCD Screen

Author:
  Brian Bagnall

Field Summary
`static int` | `BLACK`
`static int` | `WHITE`

Constructor Summary
`Graphics()`

Method Summary
`void` | `clear()`
`void` | `drawArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
`void` | `drawLine(int x0, int y0, int x1, int y1)`
`void` | `drawRect(int x, int y, int width, int height)`
`void` | `drawRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
`void` | `drawString(String str, int x, int y)`
`void` | `fillRect(int x, int y, int width, int height)`
`void` | `refresh()`
`void` | `setPixel(int rgbColor, int x, int y)` Using rgbColor as argument even though global, because when this setPixel() method is used later it will need color argument

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### BLACK

    public static final int BLACK

See Also:
  Constant Field Values

### WHITE

    public static final int WHITE

See Also:
  Constant Field Values

Constructor Detail

### Graphics

    public Graphics()

Method Detail

### setPixel

    public void setPixel(int rgbColor,
                         int x,
                         int y)

  Using rgbColor as argument even though global, because when this setPixel() method is used later it will need color argument

### drawLine

    public void drawLine(int x0,
                         int y0,
                         int x1,
                         int y1)

### drawArc

    public void drawArc(int x,
                        int y,
                        int width,
                        int height,
                        int startAngle,
                        int arcAngle)

### drawRoundRect

    public void drawRoundRect(int x,
                              int y,
                              int width,
                              int height,
                              int arcWidth,
                              int arcHeight)

### drawRect

    public void drawRect(int x,
                         int y,
                         int width,
                         int height)

### fillRect

    public void fillRect(int x,
                         int y,
                         int width,
                         int height)

### drawString

    public void drawString(String str,
                           int x,
                           int y)

### refresh

    public void refresh()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD